## python-bcrypt 2.0.0

=== src/crypt_blowfish-1.3/Makefile ===
#
# Written and revised by Solar Designer <solar at openwall.com> in 2000-2011.
# No copyright is claimed, and the software is hereby placed in the public
# domain.  In case this attempt to disclaim copyright and place the software
# in the public domain is deemed null and void, then the software is
# Copyright (c) 2000-2011 Solar Designer and it is hereby released to the
# general public under the following terms:
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted.
#
# There's ABSOLUTELY NO WARRANTY, express or implied.
#
# See crypt_blowfish.c for more information.
#

CC = gcc
AS = $(CC)
LD = $(CC)
RM = rm -f
CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wmissing-prototypes -Wstrict-prototypes -Wshadow -Wundef -Wpointer-arith -O2 -fomit-frame-pointer -funroll-loops
ASFLAGS = -c
LDFLAGS = -s

BLOWFISH_OBJS = \
	crypt_blowfish.o x86.o

CRYPT_OBJS = \
	$(BLOWFISH_OBJS) crypt_gensalt.o wrapper.o

TEST_OBJS = \
	$(BLOWFISH_OBJS) crypt_gensalt.o crypt_test.o

TEST_THREADS_OBJS = \
	$(BLOWFISH_OBJS) crypt_gensalt.o crypt_test_threads.o

EXTRA_MANS = \
	crypt_r.3 crypt_rn.3 crypt_ra.3 \
	crypt_gensalt.3 crypt_gensalt_rn.3 crypt_gensalt_ra.3

all: $(CRYPT_OBJS) man

check: crypt_test
	./crypt_test

crypt_test: $(TEST_OBJS)
	$(LD) $(LDFLAGS) $(TEST_OBJS) -o $@

crypt_test.o: wrapper.c ow-crypt.h crypt_blowfish.h crypt_gensalt.h
	$(CC) -c $(CFLAGS) wrapper.c -DTEST -o $@

check_threads: crypt_test_threads
	./crypt_test_threads

crypt_test_threads: $(TEST_THREADS_OBJS)
	$(LD) $(LDFLAGS) $(TEST_THREADS_OBJS) -lpthread -o $@

crypt_test_threads.o: wrapper.c ow-crypt.h crypt_blowfish.h crypt_gensalt.h
	$(CC) -c $(CFLAGS) wrapper.c -DTEST -DTEST_THREADS=4 -o $@

man: $(EXTRA_MANS)

$(EXTRA_MANS):
	echo '.so man3/crypt.3' > $@

crypt_blowfish.o: crypt_blowfish.h
crypt_gensalt.o: crypt_gensalt.h
wrapper.o: crypt.h ow-crypt.h crypt_blowfish.h crypt_gensalt.h

.c.o:
	$(CC) -c $(CFLAGS) $*.c

.S.o:
	$(AS) $(ASFLAGS) $*.S

clean:
	$(RM) crypt_test crypt_test_threads *.o $(EXTRA_MANS) core

## python-bcrypt 0.4

=== debian/changelog ===
python-bcrypt (0.4-1ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:34:47 +0100

python-bcrypt (0.4-1ubuntu1) trusty; urgency=medium

  * Build-depend on python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2014 16:39:32 +0100

python-bcrypt (0.4-1) unstable; urgency=low

  * New Upstream release
  * Migrate to git-buildpackage
  * Update control file to reflect more modern debian standards (no changes)
  * Update to use debhelper 9
  * Add source/format of "3.0 (quilt)"
  * Fix spelling of parametrised throughout debian/ directory
  * Update watch file to use google code
  * Remove depricated pycompat file
  * Update copyright file to be machine-readable

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Sat, 21 Sep 2013 16:26:21 -0500

python-bcrypt (0.1-1) unstable; urgency=low

  * Initial release (Closes: #454627)
  * Added man page.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 22 Dec 2007 13:45:05 -0500

=== debian/control ===
Source: python-bcrypt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>, 
Section: python
Priority: extra
Build-Depends: debhelper (>= 9),
               python-all,
	       python-dev,
               python-setuptools,
               python3-all-dev,
               python3-setuptools
Homepage: http://www.mindrot.org/projects/py-bcrypt/
Standards-Version: 3.9.4

Package: python-bcrypt
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: implementation of OpenBSD's Blowfish password hash algorithm - python 2.x
 py-bcrypt is a Python module implementating the OpenBSD Blowfish password
 hashing algorithm, as described in "A Future-Adaptable Password Scheme" by
 Niels Provos and David Mazieres:
 http://www.openbsd.org/papers/bcrypt-paper.ps
 .
 This module hashes passwords using a version of Bruce Schneier's Blowfish
 block cipher with modifications designed to raise the cost of off-line
 password cracking. The computation cost of the algorithm is parametrised, so
 it can be increased as computers get faster.
 .
 This package provides the py-bcript Python module for Python 2.x.

Package: python3-bcrypt
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: implementation of OpenBSD's Blowfish password hash algorithm - python 3.x
 py-bcrypt is a Python module implementating the OpenBSD Blowfish password
 hashing algorithm, as described in "A Future-Adaptable Password Scheme" by
 Niels Provos and David Mazieres:
 http://www.openbsd.org/papers/bcrypt-paper.ps
 .
 This module hashes passwords using a version of Bruce Schneier's Blowfish
 block cipher with modifications designed to raise the cost of off-line
 password cracking. The computation cost of the algorithm is parametrised, so
 it can be increased as computers get faster.
 .
 This package provides the py-bcript Python module for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build py_bcrypt.egg-info

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-bcrypt; \
	done

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-bcrypt; \
	done

=== debian/watch ===
version=3
http://code.google.com/p/py-bcrypt/downloads/list .*/py-bcrypt-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-bcrypt 2.0.0

=== debian/changelog ===
python-bcrypt (2.0.0-2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:06 +0000

python-bcrypt (2.0.0-2) unstable; urgency=medium

  * Added import-tests-from-github.patch.
  * deb/control: added python3-six to build-deps.
  * deb/rules: removed test break failsafe from dh_auto_test override,
    added customized py.test call.
  * Added DEP-8 tests.

 -- Daniel Stender <debian@danielstender.com>  Sun, 10 Jan 2016 23:10:49 +0100

python-bcrypt (2.0.0-1) unstable; urgency=medium

  [ Daniel Stender ]
  * New upstream release (Closes: #803096).
  * Switched upstream from py-bcrypt to pyuca/bcrypt (Closes: #796853).
  * deb/control:
    + changed Priority from "extra" to "optional".
    + added Daniel Stender to Uploaders.
    + added dh-python and python{,3}-cffi and to build depends.
    + bumped Standards-Version to 3.9.6 (no changes needed).
    + updated Homepage.
    + added Vcs-Git and Vcs-Browser.
    + removed extended infos in long description text concerning py-bcrypt,
      made short description easier, updated URI of the mentioned paper.
  * deb/copyright:
    + updated.
    + added Daniel Stender to copyright holders of debian/.
  * deb/rules:
    + added exports for DH_VERBOSE and DEB_BUILD_OPTIONS=nocheck.
    + build with Pybuild.
    + use override for dh_installdocs to contribute into both packages.
  * deb/watch:
    + watch bcrypt on Pypi.
  * Added:
    + deb/.git-dpm (Repo initialzed for Git-dpm).
    + deb/upstream/signing-key.asc.
  * Dropped:
    + deb/manpage and deb/python-bcrypt.1 (belonging to py-bcrypt).
    + deb/docs (using dh_installdocs in deb/rules).

  [ Raphaël Hertzog ]
  * Add build-dependencies on python{3,}-pytest and python-six that will be
    useful once we have actual tests in the tarball.

 -- Daniel Stender <debian@danielstender.com>  Fri, 08 Jan 2016 15:07:04 +0100

python-bcrypt (0.4-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python-all-dev and python3-all-dev, instead of just
    default python3?-dev. (Closes: #741770)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 22:40:17 +0100

=== debian/control ===
Source: python-bcrypt
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Simon Fondrie-Teitler <simonft@riseup.net>,
 Daniel Stender <debian@danielstender.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-setuptools,
               python-cffi,
               python-pytest,
               python-six,
               python3-all-dev,
               python3-setuptools,
               python3-cffi,
               python3-pytest,
               python3-six
Homepage: https://github.com/pyca/bcrypt
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-bcrypt.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-bcrypt.git

Package: python-bcrypt
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: password hashing library for Python
 bcrypt is a Python module which provides a password hashing method based on
 the Blowfish password hashing algorithm, as described in
 "A Future-Adaptable Password Scheme" by Niels Provos and David Mazieres:
 http://static.usenix.org/events/usenix99/provos.html.
 .
 This package provides the bcrypt Python module for Python 2.x.

Package: python3-bcrypt
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: password hashing library for Python 3
 bcrypt is a Python module which provides a password hashing method based on
 the Blowfish password hashing algorithm, as described in
 "A Future-Adaptable Password Scheme" by Niels Provos and David Mazieres:
 http://static.usenix.org/events/usenix99/provos.html.
 .
 This package provides the bcrypt Python module for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=bcrypt

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A README.rst

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test

=== debian/tests/control ===
Tests: python-bcrypt
Depends: python-bcrypt, python-pytest

Tests: python3-bcrypt
Depends: python3-bcrypt, python3-pytest

## python-bcrypt 3.1.0

=== debian/changelog ===
python-bcrypt (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * deb/rules:
    + move dh_auto_test override up.
    + add override for dh_installchangelogs (get changelog).
  * drop import-tests-from-github.patch (applied upstream).

 -- Daniel Stender <stender@debian.org>  Mon, 25 Jul 2016 23:30:44 +0200

python-bcrypt (3.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #824952).
  * deb/control:
    + updated an uploader email address.
    + bumped standards to 3.9.8 (no changes needed).
  * deb/copyright:
    + expanded copyright spans, updated email addresses.
    + updated copyright info for changed backend (OpenBSD instead of openwall).
  * deb/rules:
    + added DEB_BUILD_MAINT_OPTIONS export for BINDNOW.
  * deb/upstream/signing-key.asc: updated (2048R/29F9ED98, Paul Kehrer).
  * Added deb/source/options, fix-README-ascii-decoding-error.patch.

    [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Daniel Stender <stender@debian.org>  Tue, 28 Jun 2016 19:57:24 +0200

## python-bcrypt 3.1.2

=== debian/changelog ===
python-bcrypt (3.1.2-1) unstable; urgency=medium

  * New upstream release:
    + drop 0001-fix-README-ascii-decoding-error.patch (applied
      upstream).

 -- Daniel Stender <stender@debian.org>  Fri, 23 Dec 2016 20:18:18 +0100

python-bcrypt (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * rewritten fix-README-ascii-decoding-error.patch.

 -- Daniel Stender <stender@debian.org>  Sat, 03 Dec 2016 10:47:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Simon Fondrie-Teitler <simonft@riseup.net>,
- Daniel Stender <debian@danielstender.com>
+ Daniel Stender <stender@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -18,8 +18,8 @@
                python3-pytest,
                python3-six
 Homepage: https://github.com/pyca/bcrypt
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-bcrypt.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-bcrypt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-bcrypt.git
 
 Package: python-bcrypt

## python-bcrypt 3.1.3

=== debian/changelog ===
python-bcrypt (3.1.3-1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Aug 2017 10:44:36 +0000

python-bcrypt (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * drop git-dpm regime (remove deb/.git-dpm, add deb/gbp.conf).
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * deb/copyright:
    + expanded copyright spans.
    + use https in Format field according to standards update.
    + bump standards version to 4.0.0 (no further changes needed).
  * deb/control:
    + build binaries for linux-any (Closes: #834062).
  * deb/tests/control:
    + add python{,3}-all packages to test deps.

 -- Daniel Stender <stender@debian.org>  Thu, 20 Jul 2017 19:49:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Daniel Stender <stender@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all-dev,
                python-setuptools,
@@ -18,12 +18,12 @@
                python3-pytest,
                python3-six
 Homepage: https://github.com/pyca/bcrypt
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-bcrypt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-bcrypt.git
 
 Package: python-bcrypt
-Architecture: any
+Architecture: linux-any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: password hashing library for Python
  bcrypt is a Python module which provides a password hashing method based on
@@ -34,7 +34,7 @@
  This package provides the bcrypt Python module for Python 2.x.
 
 Package: python3-bcrypt
-Architecture: any
+Architecture: linux-any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: password hashing library for Python 3
  bcrypt is a Python module which provides a password hashing method based on

## python-bcrypt 3.1.4

=== debian/changelog ===
python-bcrypt (3.1.4-2~cloud0) xenial-queens; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 19 Feb 2018 09:15:47 +0000

python-bcrypt (3.1.4-2) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.1.3 (no changes needed).
    + Set Vcs-* to salsa.debian.org [Ondřej Nový]
  * deb/copyright:
    + expand copyright span to 2018.

 -- Daniel Stender <stender@debian.org>  Sun, 18 Feb 2018 21:00:12 +0100

python-bcrypt (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: bump standards version to 4.1.1 (no changed needed).

 -- Daniel Stender <stender@debian.org>  Sun, 05 Nov 2017 11:06:08 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                python3-pytest,
                python3-six
 Homepage: https://github.com/pyca/bcrypt
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-bcrypt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-bcrypt.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-bcrypt.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bcrypt
 
 Package: python-bcrypt
 Architecture: linux-any

## python-bcrypt 3.1.6

=== debian/changelog ===
python-bcrypt (3.1.6-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards to 4.3.0 (no changes needed).
  * deb/copyright:
    + expand copyright span to 2019.

 -- Daniel Stender <stender@debian.org>  Sun, 27 Jan 2019 13:42:48 +0100

python-bcrypt (3.1.5-1) unstable; urgency=medium

  * New upstream release.
  * add debian/clean (cleaning .pytest_cache/).

 -- Daniel Stender <stender@debian.org>  Wed, 19 Dec 2018 12:15:31 +0100

python-bcrypt (3.1.4-3) unstable; urgency=medium

  * deb/control:
    + build against default python3 interpreter.
    + add !nocheck build profile switch to pytest packages.
    + bump standards to 4.2.1 (no further changes needed).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + bump hardening flags to +all.
  * deb/tests:
    + use AUTOPKGTEST_TMP instead of ADTTMP [Ondřej Nový].
  * build with debhelper level 11 (changes in deb/compat and deb/control).

 -- Daniel Stender <stender@debian.org>  Thu, 01 Nov 2018 23:55:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
  Daniel Stender <stender@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               python-all-dev,
+               python-dev,
                python-setuptools,
                python-cffi,
-               python-pytest,
+               python-pytest <!nocheck>,
                python-six,
-               python3-all-dev,
+               python3-dev,
                python3-setuptools,
                python3-cffi,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-six
 Homepage: https://github.com/pyca/bcrypt
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-bcrypt.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bcrypt

## python-bcrypt 3.1.7

=== debian/changelog ===
python-bcrypt (3.1.7-2ubuntu1) focal; urgency=medium

  * Build-depend on python-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 11:38:57 +0100

python-bcrypt (3.1.7-2) unstable; urgency=medium

  * Remove myself from Uploaders.
  * Bump Standards-Version to 4.4.1 [Ondřej Nový].

 -- Daniel Stender <stender@debian.org>  Thu, 21 Nov 2019 00:01:24 +0100

python-bcrypt (3.1.7-1) unstable; urgency=medium

  * New upstream release.
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Daniel Stender <stender@debian.org>  Mon, 09 Sep 2019 18:44:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: python-bcrypt
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders:
- Simon Fondrie-Teitler <simonft@riseup.net>,
- Daniel Stender <stender@debian.org>
+Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
-               python-dev,
+               python-all-dev,
                python-setuptools,
                python-cffi,
                python-pytest <!nocheck>,
@@ -18,7 +16,7 @@
                python3-pytest <!nocheck>,
                python3-six
 Homepage: https://github.com/pyca/bcrypt
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-bcrypt.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-bcrypt

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=bcrypt
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test

override_dh_installdocs:
	dh_installdocs -A README.rst

override_dh_installchangelogs:
	sed -n '/'Changelog'/,/'Usage'/p' README.rst > .pybuild/changelog
	dh_installchangelogs -A .pybuild/changelog

=== debian/tests/control ===
Tests: python-bcrypt
Depends: python-bcrypt, python-pytest, python-all

Tests: python3-bcrypt
Depends: python3-bcrypt, python3-pytest, python3-all

## python-bcrypt 3.2.0

=== debian/changelog ===
python-bcrypt (3.2.0-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:06 +0100

python-bcrypt (3.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Patch c extension to support build on hurd; patch from Samuel Thibault
    (Closes: #976706)
  * New upstream version 3.2.0
  * Declare Rules-Requires-Root: no
  * Standards-Version 4.6.0
  * Debhelper compat 13

 -- Gordon Ball <gordon@chronitis.net>  Sat, 09 Oct 2021 19:58:26 +0000

python-bcrypt (3.1.7-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Re-export upstream signing key without extra signatures.

  [ Christoph Berg ]
  * Enable kfreebsd support.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Nov 2020 23:35:33 +0100

python-bcrypt (3.1.7-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937602

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Apr 2020 11:44:03 -0400

=== debian/control ===
Source: python-bcrypt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-cffi,
               python3-pytest <!nocheck>,
               python3-six
Homepage: https://github.com/pyca/bcrypt
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bcrypt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bcrypt
Rules-Requires-Root: no

Package: python3-bcrypt
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: password hashing library for Python 3
 bcrypt is a Python module which provides a password hashing method based on
 the Blowfish password hashing algorithm, as described in
 "A Future-Adaptable Password Scheme" by Niels Provos and David Mazieres:
 http://static.usenix.org/events/usenix99/provos.html.
 .
 This package provides the bcrypt Python module for Python 3.x.

## python-bcrypt 3.2.2

=== debian/changelog ===
python-bcrypt (3.2.2-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:50 +0200

python-bcrypt (3.2.2-1) unstable; urgency=medium

  * Team upload
  * The advertisement clause was removed with 3.1.7-1
  * New upstream version 3.2.2
  * Drop unneeded B-D python3-six

 -- Bastian Germann <bage@debian.org>  Tue, 03 Jan 2023 23:03:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                python3-setuptools,
                python3-cffi,
                python3-pytest <!nocheck>,
-               python3-six
 Homepage: https://github.com/pyca/bcrypt
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bcrypt.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/bcrypt/bcrypt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-bcrypt 4.1.2

=== tests/reference/Makefile ===
.PHONY: all

all:
	go build -v ./bcrypt_reference.go

=== debian/changelog ===
python-bcrypt (4.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.1.2
  * d/watch: Scan GitHub
  * d/copyright: Drop ISC and BSD-3-Clause
  * Patch: Relax base64 dependency
  * Set up build for Rust
  * Record the integrated pkgs in Static-Built-Using

 -- Bastian Germann <bage@debian.org>  Wed, 26 Jun 2024 20:51:57 +0200

## python-bcrypt 4.2.0

=== debian/changelog ===
python-bcrypt (4.2.0-2.1) unstable; urgency=medium

  * Team upload.
  * Rebuild with Python 3.13 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Nov 2024 11:04:06 +0100

python-bcrypt (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Drop patch to use base64 0.21.x (closes: #1084329).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 15:28:31 +0100

python-bcrypt (4.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.2.0 (Closes: #1078400)

 -- Bastian Germann <bage@debian.org>  Thu, 15 Aug 2024 14:42:42 +0200

=== debian/watch ===
version=4
opts=mode=git \
https://github.com/pyca/bcrypt.git refs/tags/(\d\S+)

## python-bcrypt 4.3.0

=== requirements.txt ===
# Install bcrypt (and it's dependencies)
-e .[tests]

=== debian/changelog ===
python-bcrypt (4.3.0-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 11:25:04 +0100

python-bcrypt (4.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.0
  * Keep getrandom and bcrypt versions
  * Upgrade pyo3 version (Closes: #1114296)

 -- Bastian Germann <bage@debian.org>  Wed, 10 Sep 2025 17:27:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,22 @@
 Source: python-bcrypt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-builtusing,
                dh-python,
-               python3-all-dev,
-               python3-setuptools,
-               python3-cffi,
+               pybuild-plugin-pyproject,
+               python3-all,
                python3-pytest <!nocheck>,
+               python3-setuptools-rust,
+               librust-base64-dev,
+               librust-bcrypt-dev,
+               librust-bcrypt-pbkdf-dev,
+               librust-getrandom-dev,
+               librust-pyo3-dev (>= 0.23.5),
+               librust-pyo3-dev (<< 0.27),
+               librust-subtle-dev,
 Homepage: https://github.com/pyca/bcrypt
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bcrypt.git
@@ -18,6 +25,12 @@
 
 Package: python3-bcrypt
 Architecture: any
+Static-Built-Using:
+ ${dh-builtusing:librust-base64-dev},
+ ${dh-builtusing:librust-bcrypt-dev},
+ ${dh-builtusing:librust-bcrypt-pbkdf-dev},
+ ${dh-builtusing:librust-getrandom-dev},
+ ${dh-builtusing:librust-subtle-dev},
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: password hashing library for Python 3
  bcrypt is a Python module which provides a password hashing method based on

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,20 @@
 #!/usr/bin/make -f
+
+include /usr/share/rustc/architecture.mk
+
 export DH_VERBOSE=1
 export PYBUILD_NAME=bcrypt
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
+export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
+export CARGO=/usr/share/cargo/bin/cargo
+export CARGO_HOME=$(CURDIR)/debian/cargo_home
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
+
+execute_before_dh_auto_configure:
+	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test

=== debian/tests/control ===
Tests: python3-bcrypt
Depends: python3-bcrypt, python3-pytest, python3-all

## python-bcrypt 5.0.0

=== debian/changelog ===
python-bcrypt (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Oct 2025 12:37:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-builtusing,
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-pytest <!nocheck>,
@@ -14,11 +14,11 @@
                librust-bcrypt-dev,
                librust-bcrypt-pbkdf-dev,
                librust-getrandom-dev,
-               librust-pyo3-dev (>= 0.23.5),
+               librust-pyo3-dev (>= 0.26),
                librust-pyo3-dev (<< 0.27),
                librust-subtle-dev,
 Homepage: https://github.com/pyca/bcrypt
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-bcrypt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bcrypt
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export CARGO_HOME=$(CURDIR)/debian/cargo_home
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_before_dh_auto_configure:
 	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
